Ultima Versions compatibility

Post Reply
ybendek
Posts: 97
Joined: 05 Aug 2011, 17:52

20 May 2020, 01:23

Hello Guys.

I need to update an app that is a little outdated. This is the current configuration:

JDK 1.7.0.252
PF 6.2
Ultima Layout 1.1.5

I found that PF 8 requires JDK 8+ but because other dependencies we cannot made that migration right now, then we will start with just PF7.0. Which should be the related and stable version of ultima layout to work with??

JDK 1.7.0.252
PF 7.0

ybendek
Posts: 97
Joined: 05 Aug 2011, 17:52

22 May 2020, 00:15

Hello Again

I tried with the following configuration

JDK 1.7.0.252
PF 7.0
Ultima 2.0.0

And I have the following exception as soon as is displayed a form we have:

Code: Select all

Severe: Class javax.faces.component._ComponentAttributesMap can not access a member of class org.primefaces.component.inputswitch.InputSwitchBase with modifiers "public"
java.lang.IllegalAccessException: Class javax.faces.component._ComponentAttributesMap can not access a member of class org.primefaces.component.inputswitch.InputSwitchBase with modifiers "public"
	at sun.reflect.Reflection.ensureMemberAccess(Reflection.java:109)
	at java.lang.reflect.AccessibleObject.slowCheckMemberAccess(AccessibleObject.java:262)
	at java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:254)
	at java.lang.reflect.Method.invoke(Method.java:600)
	at javax.faces.component._ComponentAttributesMap.getComponentProperty(_ComponentAttributesMap.java:685)
	at javax.faces.component._ComponentAttributesMap.get(_ComponentAttributesMap.java:319)
	at org.primefaces.renderkit.InputRenderer.isDisabled(InputRenderer.java:57)
	at org.primefaces.renderkit.InputRenderer.renderAccessibilityAttributes(InputRenderer.java:116)
	at org.primefaces.component.inputswitch.InputSwitchRenderer.encodeInput(InputSwitchRenderer.java:139)
	at org.primefaces.component.inputswitch.InputSwitchRenderer.encodeMarkup(InputSwitchRenderer.java:91)
	at org.primefaces.component.inputswitch.InputSwitchRenderer.encodeEnd(InputSwitchRenderer.java:64)
	at javax.faces.component.UIComponentBase.encodeEnd(UIComponentBase.java:674)
	at javax.faces.component.UIComponentBase.encodeAll(UIComponentBase.java:554)
	at org.primefaces.component.panelgrid.PanelGridRenderer.encodeGridBody(PanelGridRenderer.java:274)
	at org.primefaces.component.panelgrid.PanelGridRenderer.encodeGridLayout(PanelGridRenderer.java:100)
	at org.primefaces.component.panelgrid.PanelGridRenderer.encodeEnd(PanelGridRenderer.java:50)
	at javax.faces.component.UIComponentBase.encodeEnd(UIComponentBase.java:674)
	at javax.faces.component.UIComponentBase.encodeAll(UIComponentBase.java:554)
	at javax.faces.component.UIComponentBase.encodeAll(UIComponentBase.java:550)
	at javax.faces.component.UIComponentBase.encodeAll(UIComponentBase.java:550)
	at javax.faces.component.UIComponentBase.encodeAll(UIComponentBase.java:550)
	at org.apache.myfaces.view.facelets.FaceletViewDeclarationLanguage.renderView(FaceletViewDeclarationLanguage.java:1891)
	at org.apache.myfaces.application.ViewHandlerImpl.renderView(ViewHandlerImpl.java:313)
	at org.apache.myfaces.lifecycle.RenderResponseExecutor.execute(RenderResponseExecutor.java:116)
	at org.apache.myfaces.lifecycle.LifecycleImpl.render(LifecycleImpl.java:267)
	at javax.faces.webapp.FacesServlet.service(FacesServlet.java:200)
	at org.apache.catalina.core.StandardWrapper.service(StandardWrapper.java:1550)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:343)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:217)
	at org.primefaces.webapp.filter.FileUploadFilter.doFilter(FileUploadFilter.java:111)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:256)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:217)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:279)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:175)
	at org.apache.catalina.core.StandardPipeline.doInvoke(StandardPipeline.java:655)
	at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:595)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:161)
	at org.apache.catalina.connector.CoyoteAdapter.doService(CoyoteAdapter.java:331)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:231)
	at com.sun.enterprise.v3.services.impl.ContainerMapper$AdapterCallable.call(ContainerMapper.java:317)
	at com.sun.enterprise.v3.services.impl.ContainerMapper.service(ContainerMapper.java:195)
	at com.sun.grizzly.http.ProcessorTask.invokeAdapter(ProcessorTask.java:860)
	at com.sun.grizzly.http.ProcessorTask.doProcess(ProcessorTask.java:757)
	at com.sun.grizzly.http.ProcessorTask.process(ProcessorTask.java:1056)
	at com.sun.grizzly.http.DefaultProtocolFilter.execute(DefaultProtocolFilter.java:229)
	at com.sun.grizzly.DefaultProtocolChain.executeProtocolFilter(DefaultProtocolChain.java:137)
	at com.sun.grizzly.DefaultProtocolChain.execute(DefaultProtocolChain.java:104)
	at com.sun.grizzly.DefaultProtocolChain.execute(DefaultProtocolChain.java:90)
	at com.sun.grizzly.http.HttpProtocolChain.execute(HttpProtocolChain.java:79)
	at com.sun.grizzly.ProtocolChainContextTask.doCall(ProtocolChainContextTask.java:54)
	at com.sun.grizzly.SelectionKeyContextTask.call(SelectionKeyContextTask.java:59)
	at com.sun.grizzly.ContextTask.run(ContextTask.java:71)
	at com.sun.grizzly.util.AbstractThreadPool$Worker.doWork(AbstractThreadPool.java:532)
	at com.sun.grizzly.util.AbstractThreadPool$Worker.run(AbstractThreadPool.java:513)
	at java.lang.Thread.run(Thread.java:748)

ybendek
Posts: 97
Joined: 05 Aug 2011, 17:52

26 May 2020, 17:26

somebody knows if this exception is fixed with an Elite version of PF?

aragorn
Posts: 4042
Joined: 29 Jun 2013, 12:38

17 Jun 2020, 10:39

Similar issue; viewtopic.php?t=58139

Best Regard,

ybendek
Posts: 97
Joined: 05 Aug 2011, 17:52

22 Jun 2020, 19:17

aragorn wrote:
17 Jun 2020, 10:39
Similar issue; viewtopic.php?t=58139

Best Regard,
Ok, then basicallly I will need to use the lastest version available for PF 7. (7.0.14), no problem I have Elite...could you please confirm which version of Ultima should I use with PF7? in the migration guide has no reference about it, or if I could use the last one (Ultima 2.1.1) with PF7 and JDK7 or if its only compatible with PF 8.

aragorn
Posts: 4042
Joined: 29 Jun 2013, 12:38

24 Jun 2020, 08:28

Yes, you can use the elite version. Melloware is one of PrimeFaces' core developers. The latest Ultima version is compatible with PF6, 7 and 8.

Best Regards,

ybendek
Posts: 97
Joined: 05 Aug 2011, 17:52

30 Jun 2020, 01:35

aragorn wrote:
24 Jun 2020, 08:28
Yes, you can use the elite version. Melloware is one of PrimeFaces' core developers. The latest Ultima version is compatible with PF6, 7 and 8.

Best Regards,
aragorn, unfortunatelly the last version of PF7 (7.0.14) is not compatible with JDK7, I opened a case but remains not solved :( https://github.com/primefaces/primeface ... -647816006

The only match I found for now (Im reviewing minor bugs) is
JDK 1.7.0.252
PF 7.0.13
Ultima 2.0.0 (Ultima last version 2.1.1 is not compatible with JDK7 :()

aragorn
Posts: 4042
Joined: 29 Jun 2013, 12:38

30 Jun 2020, 14:30

Hi,

JDK7 issue is fixed for 7.0.15.

Best Regards,

ybendek
Posts: 97
Joined: 05 Aug 2011, 17:52

30 Jun 2020, 17:37

aragorn wrote:
30 Jun 2020, 14:30
Hi,

JDK7 issue is fixed for 7.0.15.

Best Regards,
Awesome news, thank you

aragorn
Posts: 4042
Joined: 29 Jun 2013, 12:38

02 Jul 2020, 22:34

You're welcome!

Best Regards,

Post Reply

Return to “Ultima - PrimeFaces”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest